[tool.poetry]
name = "ansible-vault"
version = "0.1.0"
description = "This tool is designed to retrieve secrets and secret metadata from HashiCorp Vault using the AppRole authentication method. It provides functions to fetch passwords and key data from a specified path within the Vault."
authors = [
    "Marcelo Teixeira <andre-marcelo.ferreira-freire-teixeira@ext.ec.europa.eu>",
    "Ricardo Silva <ricardo.silva@ext.ec.europa.eu>"
]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.7.3"
flake8 = "^5.0.4"
autopep8 = "^2.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
